/* ******************************************************************

   author     : puehringer edgar

   compiler   : javac (jdk 1.1.3)

   interface  : CalendarDatabase
   date       : 16.10.97
   description: a abstract class that defines basic database
                operations for calendar queries

*********************************************************************/

/* ******************************************************************
   import statements
*********************************************************************/

import java.util.*;

/* ******************************************************************
   top level class declaration
*********************************************************************/

interface CalendarDatabase {

  // methods
  public boolean failed();
  // returns true if the last database operation failed

  public String getErrorMsg();
  // returns a string describing the last error

  public void login(String user, String passwd);

  public void logout();

  public void changePasswd(String newPasswd);

  public String[] getUsers();

  public Enumeration getDates(String user, Date from, Date to,
                              boolean periodical);

  public Enumeration getMessages();
  // reads new dates written from other users (destructive read)

  public void putDate(CalendarEntry cEntry);

  public void deleteDate(CalendarEntry cEntry, boolean forAll);

  public void updateDate(CalendarEntry oldEntry,
                         CalendarEntry newEntry, boolean forAll);

  public void endSession();
  // closes all connections, frees all resources

} // end CalendarDatabase

/* ******************************************************************
   end of file
*********************************************************************/
