/* ******************************************************************

   author     : puehringer edgar

   compiler   : javac (jdk 1.1.3)

   interface  : Streamable   
   date       : 12.10.97
   description: a interface which enables objects to be written to
                or readed from streams

*********************************************************************/

/* ******************************************************************
   import statements
*********************************************************************/

import java.io.*;

/* ******************************************************************
   interface
*********************************************************************/

public interface Streamable {

  public void outputTo(DataOutput out) throws IOException;

  public void inputFrom(DataInput in) throws IOException;

  public void setLastInSeq(boolean lastInSeq);
  // sets if object is the last in a sequence or not

  public boolean isLastInSeq();
  // indicates if object is the last in a sequence or not

} // end Streamable

/* ******************************************************************
   end of file
*********************************************************************/
